# Functor Interval_map_intf.M.Make_with_boundary

    module Make_with_boundary: functor (Key : Interval_map_intf.Key) -> Interval_map_intf.S_with_boundary
        with type key := Key.t
         and type ('k, 'v, 'cmp) interval_map := ('k, 'v, 'cmp) t

Parameters:

`Key` | : | `Interval_map_intf.Key`

    type key

    module Left_boundary: sig .. end

    include Interval_map_intf.S

    val find' : 'a t -> key -> 'a

Finding the value for an unwrapped key in an interval map based on wrapped keys means searching for the value at the point `Inclusive k`, because the point `Exclusive k` should not apply for keys equal to `k`. This can be very confusing, so `find' k` does this automatically.